Module javafx.base
Package javafx.beans.property.adapter

# Class JavaBeanLongProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.LongExpression
javafx.beans.property.ReadOnlyLongProperty
javafx.beans.property.LongProperty
javafx.beans.property.adapter.JavaBeanLongProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `JavaBeanProperty<Number>`, `ReadOnlyJavaBeanProperty<Number>`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableLongValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableLongValue`, `WritableNumberValue`, `WritableValue<Number>`

    public final class JavaBeanLongProperty
    extends LongProperty
    implements JavaBeanProperty<Number>

A `JavaBeanLongProperty` provides an adapter between a regular Java Bean property of type `long` or `Long` and a JavaFX `LongProperty`. It cannot be created directly, but a `JavaBeanLongPropertyBuilder` has to be used.

As a minimum, the Java Bean class must implement a getter and a setter for the property. The class, as well as the getter and a setter methods, must be declared public. If the getter of an instance of this class is called, the property of the Java Bean is returned. If the setter is called, the value will be passed to the Java Bean property. If the Java Bean property is bound (i.e. it supports PropertyChangeListeners), this `JavaBeanLongProperty` will be aware of changes in the Java Bean. Otherwise it can be notified about changes by calling `ReadOnlyJavaBeanProperty.fireValueChangedEvent()`. If the Java Bean property is also constrained (i.e. it supports VetoableChangeListeners), this `JavaBeanLongProperty` will reject changes, if it is bound to an `ObservableValue<Long>`.

Deploying an Application as a Module

If the Java Bean class is in a named module, then it must be reflectively accessible to the `javafx.base` module. A class is reflectively accessible if the module `opens` the containing package to at least the `javafx.base` module.

For example, if `com.foo.MyBeanClass` is in the `foo.app` module, the `module-info.java` might look like this:

    module foo.app {
        opens com.foo to javafx.base;
    }

Alternatively, a class is reflectively accessible if the module `exports` the containing package unconditionally.

Since:
  JavaFX 2.1
See Also:
  `LongProperty`, `JavaBeanLongPropertyBuilder`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `long` | `get()` | Get the wrapped value.
  `void` | `set​(long value)` | Set the wrapped value.
  `String` | `toString()` | Returns a string representation of this `JavaBeanLongProperty` object.

  ### Methods declared in class javafx.beans.property.LongProperty

  `asObject, longProperty`

  ### Methods declared in class javafx.beans.property.ReadOnlyLongProperty

  `readOnlyLongProperty`

  ### Methods declared in class javafx.beans.binding.LongExpression

  `add, add, add, add, divide, divide, divide, divide, longExpression, longExpression, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `numberExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.binding.NumberExpression

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, subtract`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableNumberValue

  `doubleValue, floatValue, intValue, longValue`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.adapter.ReadOnlyJavaBeanProperty

  `dispose, fireValueChangedEvent`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.beans.value.WritableLongValue

  `setValue`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Method Details

  - ### get

    public long get()
    Get the wrapped value. Unlike `WritableValue.getValue()`, this method returns primitive long. Needs to be identical to `WritableValue.getValue()`.
    Specified by:
      `get` in interface `ObservableLongValue`
    Specified by:
      `get` in interface `WritableLongValue`
    Returns:
      The current value
    Throws:
      `UndeclaredThrowableException` - if calling the getter of the Java Bean property throws an `IllegalAccessException` or an `InvocationTargetException`.

  - ### set

    public void set​(long value)
    Set the wrapped value. Unlike `WritableLongValue.setValue(java.lang.Number)`, this method uses primitive long.
    Specified by:
      `set` in interface `WritableLongValue`
    Parameters:
      `value` - The new value
    Throws:
      `UndeclaredThrowableException` - if calling the getter of the Java Bean property throws an `IllegalAccessException` or an `InvocationTargetException`.

  - ### toString

    public String toString()
    Returns a string representation of this `JavaBeanLongProperty` object.
    Overrides:
      `toString` in class `LongProperty`
    Returns:
      a string representation of this `JavaBeanLongProperty` object.